MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004058ATutorContentpublic2009-11-28 04:302009-12-01 08:41
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.4 
Summary0004058: prerequisite bypassed
DescriptionIt is possible for a student to view content in a folder with a prerequisite test that has not been completed.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003921)
cindy (administrator)
2009-11-30 09:49

SVN revision: 8977

Solution: The bypass happens when the test has expired. This is fixed as:
1. When the test has expired, display PRETEST_EXPIRED message and not allow student to view the content;
2. Instructors don't need to pass the prerequisite test to view the content, but the PRETEST message is displayed on instructors' page.

Affected scripts:
content.php
include/classes/ContentManager.class.php

- Issue History
Date Modified Username Field Change
2009-11-28 04:30 greg New Issue
2009-11-28 04:30 greg Affects version => SVN
2009-11-30 03:56 greg Status new => assigned
2009-11-30 03:56 greg Assigned To => cindy
2009-11-30 09:49 cindy Status assigned => resolved
2009-11-30 09:49 cindy Fixed in Version => 1.6.4
2009-11-30 09:49 cindy Resolution open => fixed
2009-11-30 09:49 cindy Note Added: 0003921
2009-12-01 08:41 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker